Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# rpmtransObject_s Struct Reference
[PYTHON., PYTHON.]

## Data Fields
| PyObject_HEAD
rpmdbObject * | dbo
rpmTransactionSet | ts
PyObject * | keyList
FD_t | scriptFd

## Field Documentation

rpmdbObject* rpmtransObject_s::dbo

| Definition at line 1314 of file rpmmodule.c. Referenced by rpmtransCreate(), and rpmtransDealloc().

PyObject* rpmtransObject_s::keyList

| Definition at line 1316 of file rpmmodule.c. Referenced by rpmtransCreate(), and rpmtransDealloc().

rpmtransObject_s::PyObject_HEAD

| Definition at line 1313 of file rpmmodule.c.

FD_t rpmtransObject_s::scriptFd

| Definition at line 1317 of file rpmmodule.c. Referenced by rpmtransCreate(), and rpmtransDealloc().

rpmTransactionSet rpmtransObject_s::ts

| Definition at line 1315 of file rpmmodule.c. Referenced by rpmtransCreate(), and rpmtransDealloc().

The documentation for this struct was generated from the following file:

- python/rpmmodule.c